---
name: 📜 Documentation Request
about: Report a need for additional documentation for Terasology
title: Request for documentation for ...
labels: 'Category: Doc, Status: Needs Discussion'
assignees: ''

---

<!-- Thanks for taking the time to submit a thorough request for Terasology! :-)
Note that for suggestions, general questions & support you can approach us on Discord: https://discord.gg/terasology -->

### Documentation Topic

Please use any of the following prompts to provide a clear and concise description of what you need more documentation about. You can also provide a custom description.

* I was trying to understand the concept of ...
* I want to know more about how to use module ...
* I need more information for troubleshooting issues related to ...
* I expected ... to be documented clearer / more present.

### Documentation Type

- type: dropdown
  id: documentation-type
  attributes:
    label: "Documentation Type"
    description: Where / How should the information you need be provided?
    options:
    - In-Game (Item / Notification)
    - In-Game (NPC Interaction)
    - In-Game (Menu / World Creation)
    - Loading Screen
    - In-Code (JavaDoc / Comments)
    - Module Documentation
    - Terasology Wiki
    - Tutorial Module
    - Terasology Website
    - Terasology Forum
    - Discord Channel Descriptions / Pins

Please use any of the following prompts to provide a clear and concise description of any alternative documentation types you've considered. You can also provide a custom description.

* We could use ..., but ...
* I thought about ..., but ...
* ... won't be sufficient, because ...

### Additional notes

Feel free to add any other context or screenshots about your feature request here.
