---
name: 🛤️ Roadmap Draft
about: Document the roadmap for a bigger effort within Terasology
title: Roadmap for ...
labels: 'Category: Doc, Status: Needs Discussion'
assignees: ''

---

<!-- Thanks for taking the time to submit a thorough roadmap draft for Terasology! :-)
Note that for suggestions, general questions & support you can approach us on Discord: https://discord.gg/terasology -->

### Motivation

* Is there a specific problem this effort will solve?
* Is there a specific need this effort will satisfy?
* How did you get the idea for this effort?
* What will be the benefits of this effort?

### Proposal

* On a high level, what will the effort entail? (there's space for a fine-granular task breakdown farther down)
* Which areas of Terasology will the effort affect?
* What is the "Definition of Done" for this effort?

### Concerns

* Is there specific expertise that will be needed for this effort?
* Does this effort have dependencies on other efforts?
* Do you expect this effort to conflict with any other efforts?
* What are potential drawbacks of the effort?
* What are maintenance or continuous efforts that will persist beyond the completion of this effort?


### Task Breakdown

* What are the individual tasks that need to be done to complete the effort?
* Can you roughly estimate how hard the individual tasks would be for a software developer with 2 years of on-the-job Java development expertise, but no in-depth expertise in special areas such as rendering or AI?
* Which tasks are inter-dependent?
* Which tasks can be done in parallel?

### Additional notes

Feel free to add any other context or screenshots about your roadmap draft here.
